diff --git a/src/backend/bootstrap/bootstrap.c b/src/backend/bootstrap/bootstrap.c
index 9238fbe98d..3c462ba542 100644
--- a/src/backend/bootstrap/bootstrap.c
+++ b/src/backend/bootstrap/bootstrap.c
@@ -190,7 +190,8 @@ static IndexList *ILHead = NULL;
  *	 AuxiliaryProcessMain
  *
  *	 The main entry point for auxiliary processes, such as the bgwriter,
- *	 walwriter, walreceiver, bootstrapper and the shared memory checker code.
+ *	 walwriter, walreceiver, postgres program in bootstrap mode and the
+ *	 shared memory checker code.
  *
  *	 This code is here just because of historical reasons.
  */
diff --git a/src/backend/main/main.c b/src/backend/main/main.c
index a9edbfd4a4..5c818c7691 100644
--- a/src/backend/main/main.c
+++ b/src/backend/main/main.c
@@ -198,6 +198,7 @@ main(int argc, char *argv[])
 	pgwin32_signal_initialize();
 #endif
 
+	/* Bootstrap mode for initdb */
 	if (argc > 1 && strcmp(argv[1], "--boot") == 0)
 		AuxiliaryProcessMain(argc, argv);	/* does not return */
 	else if (argc > 1 && strcmp(argv[1], "--describe-config") == 0)
